version: "3"
services: 
  csharp:
    container_name: csharp # image name
    image: cruxlight/csharp_dev:1.0.0
    build:
      context: ./c#
      target: dev
    working_dir: /work
    entrypoint: /bin/sh
    stdin_open: true
    tty: true
    volumes:
      - ./c#/src/:/work
    ports:
      - 5500:5000
  golang:
    container_name: golang
    image: cruxlight/golang_dev:1.0.0
    build: 
      context: ./golang
      target: dev
    working_dir: /work
    entrypoint: /bin/sh
    stdin_open: true
    tty: true
    volumes:
      - ./golang/src/:/work
    ports:
      - 5501:5000
  nodejs:
    container_name: nodejs
    image: cruxlight/nodejs_dev:1.0.0
    build: 
      context: ./nodejs
      target: dev
    working_dir: /work
    entrypoint: /bin/sh
    stdin_open: true
    tty: true
    volumes:
      - ./nodejs/src/:/work/src/
    ports:
      - 5502:5000
      - 9229:9229       # debug port
  python: #docker run -it -v ${PWD}:/work -w /work -p 5003:5000 aimvector/python:1.0.0 /bin/sh
    container_name: python
    image: cruxlight/python_dev:1.0.0
    build: 
      context: ./python
      target: dev
    working_dir: /work
    entrypoint: /bin/sh
    stdin_open: true
    tty: true
    volumes:
      - ./python/src/:/work
    ports:
      - 5503:5000